//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SWINDOW.CPP

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include <sfx\swindow.h>

DEFINE_RESPONSE_TABLE1(TSFXWindow, TWindow)
END_RESPONSE_TABLE;

IMPLEMENT_STREAMABLE_FROM_BASE(TSFXWindow, TWindow);

//	constructor for a TSFXWindow object

TSFXWindow::TSFXWindow(TWindow*        parent,
					   const char far* title,
					   TModule*        module)
{
	TWindow::Init(parent, title, module);
}

void
TSFXWindow::GetWindowClass(WNDCLASS& wndClass)
{
	TWindow::GetWindowClass(wndClass);
	wndClass.hbrBackground = 0;
	wndClass.style = CS_HREDRAW | CS_VREDRAW | CS_DBLCLKS;
}

LRESULT
TSFXWindow::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
	return SFXDefWindowProc(HWindow, message, wParam, lParam);
}




